// -*- C++ -*-
#warning "Don't use doc.h"
#if 0
/* 
 * doc.h 
 *
 * Copyright (C) 1998 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@emccta.com> and
 * Havoc Pennington <hp@emccta.com>.
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#ifndef GUPPI_DOC_H
#define GUPPI_DOC_H

#include <gtk--sig.h>

#include "iconed.h"
#include "named.h"
#include "serializable.h"

// At first this doesn't look like the best way to do things;
//  but Gtk_Signal_Base is causing problems showing up multiple
//  times in the hierarchy. There must be a better way, still.


// FIXME Really, this bites. Need to sort out the virtual functions,
//  inlines, inheritance, etc. Maybe virtual inheritance would help?
//  bleh.

// FIXME the other problem is that not all the subclasses are 
//  actually Iconed.

class Doc : public Named,
	    public Iconed,
	    public Serializable,
	    public Gtk_Signal_Base
{
public:
  virtual void set_icon(const char * icon) { 
    Iconed::set_icon(icon);
    doc_icon_changed(*this);
  }
  virtual void set_icon(const string & icon) { 
    Iconed::set_icon(icon);
    doc_icon_changed(*this);
  }

  virtual void set_name(const char * name) { 
    Named::set_name(name);
    doc_name_changed(*this);
  }
  virtual void set_name(const string & name) { 
    Named::set_name(name);
    doc_name_changed(*this);
  }

protected:
  Signal1<const Iconed &> doc_icon_changed;
  Signal1<const Named &>  doc_name_changed;
};

#endif
#endif
