// -*- C++ -*-

/* 
 * plotdoc.cc
 *
 * Copyright (C) 1998 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@emccta.com> and
 * Havoc Pennington <hp@emccta.com>.
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#include "plotdoc.h"
#include "util.h"
#include <libgnome/libgnome.h> // i18n, utilities

PlotDoc::PlotDoc() : Named(_("Untitled Plot:"))
{
  set_gnome_icon("gnome-default.png");
}

PlotDoc::~PlotDoc()
{
  destroy();
}

string   
PlotDoc::serialize() const
{
  g_warning("PlotDoc::serialize not implemented");
  return "";
}

int
PlotDoc::unserialize(const string & s)
{
  g_warning("PlotDoc::unserialize not implemented");
  return false;
}




